# Web Widget One2many Tree Line Duplicate

Allow to add a icon to clone the line.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

This module works on all one2many tree views. The cloning process doesn’t trigger onchange/default calls.

Available Options

- allow_clone > Add the icon to clone the line (default: false)

Examples

    <field name="order_line" widget="section_and_note_one2many" mode="tree,kanban" options="{'allow_clone': True}" attrs="{'readonly': [('state', 'in', ('done','cancel'))]}">

## Known issues / Roadmap

- Add an option to control which columns are copied

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Tecnativa

### Contributors

- Tecnativa:
  - Alexandre Díaz
  - Carlos Roca

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.